/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcalendar.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workcalendar.entity.CalendarCountEntity;
import com.jeeplus.modules.workcalendar.entity.WorkCalendar;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 工作日历DAO接口
 * @author ssrh
 * @version 2018-07-17
 */
@MyBatisDao
public interface WorkCalendarDao extends CrudDao<WorkCalendar> {

    void deleteUsers(String id);

    void batchInsert(HashMap<String, Object> map);

    List<User> queryUserList(String id);

    List<WorkCalendar> findTaskList(WorkCalendar select);

    List<CalendarCountEntity> findReportCount(Map<String, Object> map);

    List<WorkCalendar> findHomeList(WorkCalendar select);
}